AOZ Studio Beta - Bug #1070

Wont execute after transpile MAC in browser if .iff files are in application folders
01/16/2023 01:00 PM - malcolm harvey
Target version: none

Affected version: 1.0 (u38)

Description

(Amiga manifest). (Mac).

If you have a picture filename.png and also the same name filename.iff in either your filesystem/application folder or assets folder,
aoz will run the transpiler, but at the end it will stop and just bring up a blank message window.

It wont go onto to execute and run the full screen browser.

Also, even though you may have selected your picture in your code, using load image "gameinventory.png”,2 etc, just the fact that
the same filename.iff was in there in the same folder, it stops executing to bring up the browser at the end and run. Again, but if you
delete all the .iff files in your filesystem/application folder and also the assets folder it will run. Just leave the .png files alone in there,
then it will execute.

So yes some issue with the .iff files in there as well. Should not be.

History

#1 - 01/19/2023 05:40 AM - malcolm harvey

This could also be related and caused by the same thing as 1074.

#2 - 01/19/2023 05:40 AM - malcolm harvey
Ticket 1074 rather.

#3 - 01/20/2023 10:40 AM - malcolm harvey

- Assignee changed from AOZ Studio Team to Francois Lionet

#4 - 01/26/2023 06:40 AM - malcolm harvey

Also at this point, even with just .iff files in the filesystem/application folder in amiga manifest mode, on a pc windows, the instr is working eg:, load iff
"".0 but currently using the Mac OS, using that instr now, causes it to just stop after transpiring with a blank message window poping up at end. Again
only on the Mac.

#5 - 02/20/2023 02:16 PM - malcolm harvey

Another oddity, interestingly | had to change only on the mac client version,

eg: using load iff "gameinventory.iff",2 will only work now on windows not the mac version for amiga manifest anyways. It also does not like, load
image "gameinventory.iff",2

All you get is it stops at the end of the transpile with a blank message window.

But if you then change this to load image "gameinventory.png”,2 it will run fine in the mac browsers ok.

So seams version 38/39 had this same issue only on the mac the windows ver u38/39 runs load iff "gameinventory.iff",2 ok.
So some issue with the load iff and also the .iff file format again only on Mac in U39 now anyways.

#6 - 04/11/2023 07:59 AM - malcolm harvey

Same issue with U43.

#7 - 04/13/2023 01:30 AM - malcolm harvey

Ok, | have removed the duplicate files names problem because BaptisteB pointed out, if you have the same name in a folder but with a diff ext it will
clash and it will be the same name, so that issue has been resolved, but the only is is yes, below...

eg: using load iff "gameinventory.iff",2 will only work now on windows not the mac version for amiga manifest anyways.
All you get is it stops at the end of the transpile with a blank message window.

But if you then change this to load image "gameinventory.png”,2 it will run fine in the mac browsers ok.
So seams version 38/39 had this same issue only on the mac the windows ver u38/39 runs load iff "gameinventory.iff",2 ok.
So some issue with the load iff and also the .iff file format again only on Mac in U39 now anyways.
The same issue is there on the Mac version U43...

#8 - 05/11/2023 10:23 PM - malcolm harvey

- Assignee changed from Francois Lionet to Baptiste Bideaux

Baptiste, this was the issue currently | spoke about with the loading amiga .iff files MAC only. (Windows ok).
Wont load, guru meditation or other error. See last note above. Thankyou.

#9 - 05/12/2023 12:49 AM - malcolm harvey

Same in u43.

#10 - 06/16/2023 10:14 AM - malcolm harvey

This can also happen in windows U44 version, it might be better described here in the discord blog.
But yes again it can stop at random.
https://discord.com/channels/653893653940404224/707482106313441350/1119085113205080136 ™

#11 - 06/25/2023 12:42 PM - malcolm harvey

re: U44...More to the last note above..

In my latest test again with my latest code on windows and mac U44, they are both the same now, oddly they will load .iff files, but it will only execute

at the end of the transpile if there is no more than about the first 13.iff files (from my set) in the filesystem/application folder (using amiga manifest), if

u don't put the .iff files in there that are missing, it executes (but of course your code complains they are not there when it runs), but if you add the rest
in there after the first 13 of them, say | might have 25 in total (so now i have 25 .iff files in there), which are listed in my main.aoz code, it will just stop

transpiling at the end or along the way and popup with a blank message window and no errors.

Again if you replace all these with .png files it works correctly and executes, so again some issue with just using .iff files. This is the same in windows

or mac U44 currently.

#12 - 11/21/2023 12:01 AM - malcolm harvey

The main current issue that we have currently is that using Load iff "image.iff", for example in Windows or Mac Gurus now and it will only work if using
Load image. Seams to have occurred on the release v1.0 of aoz jan 2023, it was working prior to this 37 or prior | believe.
So you cant use this for Amiga manifest in aoz using load.iff files or using the amiga transpiler either then for AMOS Pro conversions.

#13 - 03/20/2024 09:02 AM - malcolm harvey

- Status changed from New to Closed

Seams now with the test beta1 U45, its loading .iff's again ok no file error or guru (windows or mac). Not sure why but also loading them ok again
from fileysystem/application folder with multiples in the folder. Also seams to work loading .iff files in aoz -> amiga and via the amiga transpiler and in
amos pro.

Close ticket.
